//init
var canvas = document.getElementById("slider-system");
var values = [];
var hovedareal = 0;

let angles = [0];


function setup() {
	createCanvas(720, 400);
	noStroke();
	noLoop();
	colorMode(HSB);
}

function draw() {
	background(240, 1, 95);
	//pieChart(300, angles);
	gridSpace(44, 3, angles);
}

function pieChart(diameter, data) {
	let lastAngle = 0;

	for (let i = 0; i < data.length; i++) {
		let red = map(i, 0, data.length, 0, 360);
		let green = map(i, 0, data.length, 50, 360);
		let blue = map(i, 0, data.length, 50, 20);

		fill(red, 85, 90);
		arc(
			width / 2,
			height / 2,
			diameter,
			diameter,
			lastAngle,
			lastAngle + angles[i]
		);
		lastAngle += angles[i];
	}
}

function gridSpace(size, margin, data) {
	let lastRectangle = [10,10];
	var area = document.getElementById('total-area').valueAsNumber;
	var counter = 0;

		
		
	for (var i = 0; i < data.length; i++) {
		if (data[i] != 0) {	
			let red = map(i, 0, data.length, 0, 360);
			let green = map(i, 0, data.length, 50, 360);
			let blue = map(i, 0, data.length, 50, 20);

			fill(red, 85, 90);

			for (var k = 0; k < data[i]; k++) {				
				square(lastRectangle[0], lastRectangle[1], size);
				counter++;

				if (lastRectangle[0]+size+margin > 700){
					lastRectangle[0] = 10;
					lastRectangle[1] += size+margin;
				} else {
					lastRectangle[0] += size+margin;
				}
			}
		}
	}

	for (var i = counter; i < area; i++) {
		fill('#ddd');
		square(lastRectangle[0], lastRectangle[1], size);

		if (lastRectangle[0]+size+margin > 700){
			lastRectangle[0] = 10;
			lastRectangle[1] += size+margin;
		} else {
			lastRectangle[0] += size+margin;
		}
	}
}

function refreshSystem() {
	var inputValues = document.getElementsByClassName('input-value');
	var area = document.getElementById('total-area').valueAsNumber;

	for (var i = 0; i < inputValues.length; i++) {
		//angles[i] = inputValues[i].valueAsNumber / area * TWO_PI;
		angles[i] = inputValues[i].valueAsNumber;
	}

	draw();
}